Adds contents of the entire buffer to a buffer event's output buffer

- « EventBufferEvent::write

- About buffer event callbacks »

- PHP Manual
- EventBufferEvent
- Adds contents of the entire buffer to a buffer event's output buffer

# EventBufferEvent::writeBuffer

(PECL event >= 1.2.6-beta)

EventBufferEvent::writeBuffer — Adds contents of the entire buffer to a buffer event's output buffer

### Description

public EventBufferEvent::writeBuffer( EventBuffer `$buf` ): bool

Adds contents of the entire buffer to a buffer event's output buffer

### Parameters

`buf`

  Source EventBuffer object.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- EventBufferEvent::write() - Adds data to a buffer event's output buffer